# $Revision: 1.35 $, $Date: 2011/02/15 08:45:25 $
%define	src_ver	0761
Summary:	Remake of the famous game stunts
Summary(pl.UTF-8):	Nowa wersja sławnej gry stunts
Name:		ultimatestunts
Version:	0.7.6
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/ultimatestunts/%{name}-srcdata-%{src_ver}.tar.gz
# Source0-md5:	117745dd282f9904c2d641d7f19714f7
Source1:	%{name}.png
Source2:	%{name}.desktop
Source3:	%{name}-editor.desktop
Patch0:		%{name}-directories.patch
Patch1:		%{name}-config.patch
URL:		http://www.ultimatestunts.nl/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freealut-devel
BuildRequires:	gettext-devel
BuildRequires:	ode-devel
BuildRequires:	sed >= 4.0
Obsoletes:	ultimatestunts-data
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
UltimateStunts is a remake of the famous game stunts. It was a 3D
racing game, with simple CGA/EGA/VGA graphics and no texture or smooth
shading, but because of the spectacular stunts (loopings, bridges to
jump over, etc.) it was really fun to play.

The remake provides more modern features, like openGL graphics, 3D
sound and Internet multiplaying.

%description -l pl.UTF-8
UltimateStunts jest nową wersją sławnej gry stunts. Była to
trójwymiarowa gra wyścigowa, z prostą grafiką CGA/EGA/VGA bez tekstur
ani bez cieniowania, lecz dzięki spektakularnym akrobacjom (obroty,
skoki nad mostami, itp.) świetnie się w nią grało.

Ta, nowsza wersja, daje więcej urozmaiceń, takich jak grafika OpenGL,
dźwięk 3D, czy też gra przez Internet.

%prep
%setup -q -n %{name}-srcdata-%{src_ver}
%patch0 -p1
%patch1 -p1
%{__sed} -i 's/fr_FR/fr/' po/LINGUAS
mv po/fr{_FR,}.po
mv po/fr{_FR,}.gmo

%build
touch config.rpath
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
# config.h.in created manually, touch it so make will not call autoheader
touch config.h.in
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/games/%{name},%{_sysconfdir},%{_desktopdir},%{_pixmapsdir}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-editor.desktop

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_datadir}/locale \
	usdatadir=$RPM_BUILD_ROOT%{_datadir}/games/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/games/%{name}/lang
find $RPM_BUILD_ROOT%{_datadir}/games/%{name} -name CVS | xargs %{__rm} -r

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README doc
%attr(755,root,root) %{_bindir}/ustunts
%attr(755,root,root) %{_bindir}/ustunts3dedit
%attr(755,root,root) %{_bindir}/ustuntsai
%attr(755,root,root) %{_bindir}/ustuntsserver
%attr(755,root,root) %{_bindir}/ustuntstrackedit
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ultimatestunts.conf
%{_datadir}/games/%{name}
%{_pixmapsdir}/ultimatestunts.png
%{_desktopdir}/ultimatestunts.desktop
%{_desktopdir}/ultimatestunts-editor.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ultimatestunts.spec,v $
Revision 1.35  2011/02/15 08:45:25  lisu
- patch config file to point to proper datadir
- config is now stored also in home dir (~/.ultimatestunts), TODO removed

Revision 1.34  2011/02/14 15:36:01  lisu
- BR: gettext-devel

Revision 1.33  2011/02/14 15:35:00  lisu
- updated to 0.7.6
- drop unused sed macro
- more verbose files
- use __rm macro

Revision 1.32  2009/08/19 19:52:05  arvenil
- %{__make} -j1
- release 3

Revision 1.31  2009/08/18 18:46:22  arekm
- release 2

Revision 1.30  2008/07/31 09:05:08  cactus
- desktop files
- updated TODO

Revision 1.29  2008/07/31 07:56:18  cactus
- up to 0.7.5

Revision 1.28  2008/01/30 09:48:19  lisu
- up to 0.7.4

Revision 1.27  2007-10-16 21:17:51  lisu
- 0.7.3
- pl fix

Revision 1.26  2007/08/10 17:52:25  lisu
- afresh up to 0.7.2

Revision 1.25  2007/08/04 16:11:03  qboosh
- version back to 0.7.1, the real one used (there is no srcdata-0712)
- proper BR for libGLU

Revision 1.24  2007/08/01 21:04:55  qboosh
- unified

Revision 1.23  2007/08/01 20:54:05  lisu
- 0.7.2
- the same error as in the previous revision (alut)

Revision 1.22  2007/06/22 23:45:22  lisu
- 0.7.1
- BR: freealut-devel
- change @MKINSTALLDIRS@ to proper mkinstalldirs file path
- something wrong with alut - the game crashes when try to drive

Revision 1.21  2007/03/22 20:06:03  blekot
- up to 0.7.0
- added BR: Mesa-libGLU SDL_image-devel
- builds but install fail -> rel 0.1
- NFY

Revision 1.20  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.18  2006/11/14 10:06:14  lisu
- up to 0.6.3
- License changed to GPL v2+
- pl fix

Revision 1.17  2006/09/25 14:25:43  lisu
- pl fix

Revision 1.16  2006/08/26 15:07:36  havner
- 0.6.2 by lisu87 at gmail dot com

Revision 1.15  2005/10/16 01:21:17  sparky
- updated to 0.5.6
- now it is FHS compliant
- i think locale is not working
- builds and works, even 3D sound, but realy strange (rotated 90 degrees ?)

Revision 1.14  2005/07/22 23:38:11  blekot
- TODO added

Revision 1.13  2005/07/22 23:15:38  blekot
- up to 0.5.5
- cp -f /usr/share/automake/config.sub . added

Revision 1.12  2005/07/22 06:31:19  qboosh
- removed outdated gcc34 patch

Revision 1.11  2005/07/22 06:25:56  qboosh
- some cleanups, release 0.1 due to broken files list

Revision 1.10  2005/07/21 22:45:05  patrys
- fixed wrapper path

Revision 1.9  2005/07/21 20:37:29  patrys
- fixed file attributes

Revision 1.8  2005/07/21 19:33:52  patrys
- up to 0.5.5
- removed separate data package (now distributed with sources)
- commented the gcc patch (does not apply and I'm not sure if it's still needed)
- reverted config file to it's original location, maintaining this patch would be a major PITA, symlinked to /etc instead
- this game is 3vil and I'd love to rewrite the makefile from scratch

Revision 1.7  2005/07/21 14:40:53  darekr
- gpm-friendly Sources

Revision 1.6  2005/07/21 14:36:21  darekr
- fixed URL

Revision 1.5  2004/10/02 22:37:58  grzegol
- updated to 0.4.6
- removed outdated sound patch

Revision 1.4  2004/08/28 18:50:58  grzegol
- updated to 0.4.5
- added sound and gcc34 patches (buildfixes)

Revision 1.3  2004/06/16 22:13:27  grzegol
- updated to 0.4.4
- added BR: ode-devel

Revision 1.2  2004/03/13 20:30:29  grzegol
- updated to 0.4.2
- removed %%{_bindir} redefinition
- strict internal deps

Revision 1.1  2003/11/01 19:17:31  grzegol
- new
